[HELP] O3DS on 3.0.0: CFW without browser and no DS flashcart?

Discussion in '3DS - Flashcards & Custom Firmwares' started by KaduPSE, Dec 26, 2015.

  1. KaduPSE
    OP

    KaduPSE Revolution and cake

    Member
    235
    171
    Dec 26, 2015
    Brazil
    Hello, I've just got an O3DS running 3.0.0, it can't access the browser nor do I have a DS flashcard. I do have another O3DS on 10.X running Ninjhax 2.5 and I have a Sky3DS. Is there anyway to install CFW on the 3.0.0 system without using a DS flashcard? They are really expensive in my country, and I haven't found anyone with one so I can't borrow. The tutorial mentions using another console to setup Ninjhax for the target one, but I couldn't find how to do it, thanks in advance.
     
    kingraa777 likes this.


  2. squee666

    squee666 Advanced Tech Pleb

    Member
    1,587
    890
    Sep 17, 2010
    Belfast
    cant you just use the sky3ds to update the ds to a higher fw like 4.5 +
     
  3. KaduPSE
    OP

    KaduPSE Revolution and cake

    Member
    235
    171
    Dec 26, 2015
    Brazil
    I can, but if I'm not wrong game updates don't include the browser, when I'm on 4.5+ how would I proceed to install a CFW? What entry points can I use? Thanks!
     
  4. wurstpistole

    wurstpistole N3DS B9S

    Member
    2,529
    910
    Nov 19, 2015
    Gambia, The
    You upgrade to 9.0 with a relevant game and use Cubic Ninja as rom to launch Ninjhax, from there you can run Homebrew and continue with CFW setup.
     
    Quantumcat and Ammako like this.
  5. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,104
    957
    Jun 13, 2015
    United States
    California
    I've read from some people around here that Ninjhax 2.5 doesn't need a web browser anymore.

    So the way they did it was to update to 9.2 using the Sky3ds and then use Ninjhax 2.5 to boot rxTools.
     
  6. zoogie

    zoogie simple pimp tool

    Member
    6,146
    7,720
    Nov 30, 2014
    United States
    You can use a Smash to update to 9.2 and then use cubic ninja to launch cfw. You don't need a browser to use http.
     
  7. squee666

    squee666 Advanced Tech Pleb

    Member
    1,587
    890
    Sep 17, 2010
    Belfast
  8. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,104
    957
    Jun 13, 2015
    United States
    California
  9. squee666

    squee666 Advanced Tech Pleb

    Member
    1,587
    890
    Sep 17, 2010
    Belfast

    D: well the guide should work for him anyhow
     
  10. reiyu

    reiyu Canadian, eh?

    Member
    861
    187
    Jan 8, 2008
    Canada
    where'd you get this from?

    OP unless what @Tony_93 said is valid, your only hope is to have a DS flashcart and a 3DS cart that would upgrade you to 4.x. once on 4.x, use MSET (DS profile exploit) to launch rxTools.
     
    Last edited by reiyu, Dec 26, 2015
  11. KaduPSE
    OP

    KaduPSE Revolution and cake

    Member
    235
    171
    Dec 26, 2015
    Brazil
    That sounds great. Do you mind explaining it further? I would: Use a game to update my console to 9.2, then use Cubic Ninja to install Ninjhax 2.5 and boot the Homebrew launcher, and from that how do I install a CFW? And if I'm not wrong, 2.5 doesn't have kernel access even if running on older FW, isn't that the case? Does Ninjhax 1 require a browser even if I have the cartridge? Sorry to bother, it's just that I don't want to mess up and lose an exploitable unit, they're getting rarer everyday.
     
  12. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,104
    957
    Jun 13, 2015
    United States
    California
    Other users around here, even @Pingouin7 made a video to demostrate it, deleted the web browser, downloaded and installed Ninjhax 2.5 without a web browser present.
     
    Last edited by Tony_93, Dec 26, 2015
  13. kennyhi123

    kennyhi123 GBAtemp Regular

    Member
    183
    34
    Oct 15, 2015
    United States
    Boot your cfw from hbl for ex. rxtools
     
  14. reiyu

    reiyu Canadian, eh?

    Member
    861
    187
    Jan 8, 2008
    Canada
    most interesting. if ninjhax works, then he could launch rxtools from there. though he'd need a 3DS cart to upgrade to 9.2 firmware first.
     
  15. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,104
    957
    Jun 13, 2015
    United States
    California
    He has a Sky3ds, he can download a rom and update with that.

    In Europe one of the Cooking Mama games has it.

    In America Smash Bros Rev 1 has it.
     
  16. Ammako

    Ammako GBAtemp Guru

    Member
    6,404
    3,535
    Dec 22, 2009
    Canada
    They have a Sky3DS, so they can get a rom that has 9.2 on it and use that to update.
     
  17. KaduPSE
    OP

    KaduPSE Revolution and cake

    Member
    235
    171
    Dec 26, 2015
    Brazil
    But I can install a CFW from Ninjhax 2.5? It has deep enough access to the system to do it?
     
  18. Ammako

    Ammako GBAtemp Guru

    Member
    6,404
    3,535
    Dec 22, 2009
    Canada
    Technically Ninjhax 2.5 itself doesn't have access on its own but there is a separate privilege escalation exploit used to gain access to the relevant services used to run CFW.
    So basically yeah, through Ninjhax 2.5 you can run stuff that requires kernel but only as long as you are on 9.2 or lower. Which you should be if you don't decide to update past that. :P

    I assume your 3DS is North American region, in which case the only rom that could update you to 9.2 is one of the latter revisions of Super Smash Bros. (3dsdb says Rev02)
    You're on your own as far as finding the right version of the rom goes.
     
    Last edited by Ammako, Dec 26, 2015
  19. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,104
    957
    Jun 13, 2015
    United States
    California
    This is a method I haven't personally tested so I'm not going to pretend I know all about it.

    I usually recommend people to update 4.x and use a DS flashcart.

    So whatever you decide to do take it with a grain of salt and don't blame people if it doesn't work.

    The guy that originally posted it even had videos and stuff.
     
  20. KaduPSE
    OP

    KaduPSE Revolution and cake

    Member
    235
    171
    Dec 26, 2015
    Brazil
    When updating, will the game warn me to which version it's trying to update? I don't want to end up updating to something >9.2, is there any version of Smash that could do it?

    Sure thing, if it fails it's nobody's fault, you already helped me a lot. The DS cart really won't be an option, it would take me a lot of effort to get one. I'll try this method, at least I'll be able to confirm if it works and maybe help someone else in a similar situation.